wxAuiTabArt Class Reference | wxWidgets

| Version: 3.2.11

Loading...
Searching...
No Matches
Public Member Functions | List of all members
wxAuiTabArt Class Referenceabstract
Class List by Category » Window Docking (wxAUI)

`#include </cygdrive/c/Users/Hamis/Cygwin-packaging/wxWidgets3.2/wxWidgets3.2-3.2.11-1.x86_64/src/wxWidgets-3.2.11/interface/wx/aui/auibook.h>`

Inheritance diagram for wxAuiTabArt:
[legend]

## Detailed Description

Tab art provider defines all the drawing functions used by wxAuiNotebook.

This allows the wxAuiNotebook to have a pluggable look-and-feel.

By default, a wxAuiNotebook uses an instance of this class called wxAuiDefaultTabArt which provides bitmap art and a colour scheme that is adapted to the major platforms' look. You can either derive from that class to alter its behaviour or write a completely new tab art class.

Another example of creating a new wxAuiNotebook tab bar is wxAuiSimpleTabArt.

Call wxAuiNotebook::SetArtProvider() to make use of this new tab art.

##

Library: wxAui
Category: Window Docking (wxAUI)

## Public Member Functions
| wxAuiTabArt ()
| Constructor.
virtual wxAuiTabArt * | Clone ()=0
| Clones the art object.
virtual void | DrawBackground (wxDC &dc, wxWindow *wnd, const wxRect &rect)=0
| Draws a background on the given area.
virtual void | DrawButton (wxDC &dc, wxWindow *wnd, const wxRect &in_rect, int bitmap_id, int button_state, int orientation, wxRect *out_rect)=0
| Draws a button.
virtual void | DrawTab (wxDC &dc, wxWindow *wnd, const wxAuiNotebookPage &page, const wxRect &rect, int close_button_state, wxRect *out_tab_rect, wxRect *out_button_rect, int *x_extent)=0
| Draws a tab.
virtual int | GetBestTabCtrlSize (wxWindow *, const wxAuiNotebookPageArray &, const wxSize &)=0
| Returns the tab control size.
virtual int | GetIndentSize ()=0
| Returns the indent size.
virtual wxSize | GetTabSize (wxDC &dc, wxWindow *wnd, const wxString &caption, const wxBitmapBundle &bitmap, bool active, int close_button_state, int *x_extent)=0
| Returns the tab size for the given caption, bitmap and state.
virtual void | SetFlags (unsigned int flags)=0
| Sets flags.
virtual void | SetMeasuringFont (const wxFont &font)=0
| Sets the font used for calculating measurements.
virtual void | SetNormalFont (const wxFont &font)=0
| Sets the normal font for drawing labels.
virtual void | SetSelectedFont (const wxFont &font)=0
| Sets the font for drawing text for selected UI elements.
virtual void | SetColour (const wxColour &colour)=0
| Sets the colour of the inactive tabs.
virtual void | SetActiveColour (const wxColour &colour)=0
| Sets the colour of the selected tab.
virtual void | SetSizingInfo (const wxSize &tab_ctrl_size, size_t tab_count, wxWindow *wnd=NULL)=0
| Sets sizing information.

## Constructor & Destructor Documentation

## ◆ wxAuiTabArt()

wxAuiTabArt::wxAuiTabArt | ( |  | ) |

Constructor.

## Member Function Documentation

## ◆ Clone()

virtual wxAuiTabArt * wxAuiTabArt::Clone | ( |  | ) |
| pure virtual

Clones the art object.

Implemented in wxAuiDefaultTabArt, and wxAuiSimpleTabArt.

## ◆ DrawBackground()

virtual void wxAuiTabArt::DrawBackground | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxRect & | rect )
| pure virtual

Draws a background on the given area.

Implemented in wxAuiDefaultTabArt, and wxAuiSimpleTabArt.

## ◆ DrawButton()

virtual void wxAuiTabArt::DrawButton | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxRect & | in_rect,
|  | int | bitmap_id,
|  | int | button_state,
|  | int | orientation,
|  | wxRect * | out_rect )
| pure virtual

Draws a button.

Implemented in wxAuiDefaultTabArt, and wxAuiSimpleTabArt.

## ◆ DrawTab()

virtual void wxAuiTabArt::DrawTab | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxAuiNotebookPage & | page,
|  | const wxRect & | rect,
|  | int | close_button_state,
|  | wxRect * | out_tab_rect,
|  | wxRect * | out_button_rect,
|  | int * | x_extent )
| pure virtual

Draws a tab.

Implemented in wxAuiDefaultTabArt, and wxAuiSimpleTabArt.

## ◆ GetBestTabCtrlSize()

virtual int wxAuiTabArt::GetBestTabCtrlSize | ( | wxWindow * | ,
|  | const wxAuiNotebookPageArray & | ,
|  | const wxSize & | )
| pure virtual

Returns the tab control size.

Implemented in wxAuiDefaultTabArt, and wxAuiSimpleTabArt.

## ◆ GetIndentSize()

virtual int wxAuiTabArt::GetIndentSize | ( |  | ) |
| pure virtual

Returns the indent size.

Implemented in wxAuiDefaultTabArt, and wxAuiSimpleTabArt.

## ◆ GetTabSize()

virtual wxSize wxAuiTabArt::GetTabSize | ( | wxDC & | dc,
|  | wxWindow * | wnd,
|  | const wxString & | caption,
|  | const wxBitmapBundle & | bitmap,
|  | bool | active,
|  | int | close_button_state,
|  | int * | x_extent )
| pure virtual

Returns the tab size for the given caption, bitmap and state.

Implemented in wxAuiDefaultTabArt.

## ◆ SetActiveColour()

virtual void wxAuiTabArt::SetActiveColour | ( | const wxColour & | colour | ) |
| pure virtual

Sets the colour of the selected tab.

Since
  2.9.2

Implemented in wxAuiDefaultTabArt, and wxAuiSimpleTabArt.

## ◆ SetColour()

virtual void wxAuiTabArt::SetColour | ( | const wxColour & | colour | ) |
| pure virtual

Sets the colour of the inactive tabs.

Since
  2.9.2

Implemented in wxAuiDefaultTabArt, and wxAuiSimpleTabArt.

## ◆ SetFlags()

virtual void wxAuiTabArt::SetFlags | ( | unsigned int | flags | ) |
| pure virtual

Sets flags.

Implemented in wxAuiDefaultTabArt, and wxAuiSimpleTabArt.

## ◆ SetMeasuringFont()

virtual void wxAuiTabArt::SetMeasuringFont | ( | const wxFont & | font | ) |
| pure virtual

Sets the font used for calculating measurements.

Implemented in wxAuiDefaultTabArt, and wxAuiSimpleTabArt.

## ◆ SetNormalFont()

virtual void wxAuiTabArt::SetNormalFont | ( | const wxFont & | font | ) |
| pure virtual

Sets the normal font for drawing labels.

Implemented in wxAuiDefaultTabArt, and wxAuiSimpleTabArt.

## ◆ SetSelectedFont()

virtual void wxAuiTabArt::SetSelectedFont | ( | const wxFont & | font | ) |
| pure virtual

Sets the font for drawing text for selected UI elements.

Implemented in wxAuiDefaultTabArt, and wxAuiSimpleTabArt.

## ◆ SetSizingInfo()

virtual void wxAuiTabArt::SetSizingInfo | ( | const wxSize & | tab_ctrl_size,
|  | size_t | tab_count,
|  | wxWindow * | wnd = NULL )
| pure virtual

Sets sizing information.

The wnd argument is only present in wxWidgets 3.1.6 and newer and is required, it only has NULL default value for compatibility reasons.

Implemented in wxAuiDefaultTabArt, and wxAuiSimpleTabArt.